import request from '../utils/request';
function getCurrentTimestamp() {
    return new Date().getTime();
}


// 获取日报
export function GetMyDaily(data, token) {
    return request({
        url: '/daily/getMyDaily',
        method: 'get',
        params: data,
        headers: {
            'Authorization':'Bearer '+token,
            'Timestamp':getCurrentTimestamp()
        }
    });
}
//提交日报

export function DailyAdd(data, token) {
    return request({
        url: '/daily/add',
        method: 'post',
        data: data,
        headers: {
            'content-type':'application/json;charset=utf-8',
            'Authorization':'Bearer '+token,
            'Timestamp':getCurrentTimestamp()
        }
    });
}

//编辑日报
export function DailyUpdate(data, token) {
    return request({
        url: '/daily/update',
        method: 'put',
        data: data,
        headers: {
            'content-type':'application/json;charset=utf-8',
            'Authorization':'Bearer '+token,
            'Timestamp':getCurrentTimestamp()
        }
    });
}
//查询日报
export function SearchDaily(data, token) {
    return request({
        url: '/daily/search',
        method: 'get',
        params: data,
        headers: {
            'Authorization':'Bearer '+token,
            'Timestamp':getCurrentTimestamp()
        }
    });
}