import request from '../utils/request';
function getCurrentTimestamp() {
    return new Date().getTime();
}

// 根据名称获取项目列表
export function ProjectGetByName(data, token) {
    return request({
        url: '/project/get/name',
        method: 'get',
        params: data,
        headers: {
            'Authorization':'Bearer '+token,
            'Timestamp':getCurrentTimestamp()
        }
    });
}

// 项目名查询所有子系统
export function ProjectChildGetName(data, token) {
    return request({
        url: '/project/child/get/id',
        method: 'get',
        params: data,
        headers: {
            'Authorization':'Bearer '+token,
            'Timestamp':getCurrentTimestamp()
        }
    });
}

//根据项目和系统名查询系统所属子模块
export function ProjectModuleGetName(data, token) {
    return request({
        url: '/project/module/get/id',
        method: 'get',
        params: data,
        headers: {
            'Authorization':'Bearer '+token,
            'Timestamp':getCurrentTimestamp()
        }
    });
}

// 提交申请
export function ReviewAdd(data, token) {
    return request({
        url: '/review/add',
        method: 'post',
        data: data,
        headers: {
            'content-type':'application/json;charset=utf-8',
            'Authorization':'Bearer '+token,
            'Timestamp':getCurrentTimestamp()
        }
    });
}
// 获取我的审核列表
export function GetMyReview(data, token) {
    return request({
        url: '/review/getMyReview',
        method: 'get',
        params: data,
        headers: {
            'Authorization':'Bearer '+token,
            'Timestamp':getCurrentTimestamp()
        }
    });
}

//修改审核状态
// id result
export function UpdateReviewResult(data, token) {
    return request({
        url: '/review/updateReview',
        method: 'put',
        data: data,
        headers: {
            'Authorization':'Bearer '+token,
            'content-type':'application/json;charset=utf-8',
            'Timestamp':getCurrentTimestamp()
        }
    });
}

//获取审核记录
export function ReviewRecords(data, token) {
    return request({
        url: '/review/getReviewRecords',
        method: 'get',
        params: data,
        headers: {
            'Authorization':'Bearer '+token,
            'Timestamp':getCurrentTimestamp()
        }
    });
}

//查询我的审核
export function ReviewSearchMyReview(data, token) {
    return request({
        url: '/review/searchMyReview',
        method: 'get',
        params: data,
        headers: {
            'Authorization':'Bearer '+token,
            'Timestamp':getCurrentTimestamp()
        }
    });
}

//查询我的记录
export function ReviewRecordsSearch(data, token) {
    return request({
        url: '/review/searchReviewRecords',
        method: 'get',
        params: data,
        headers: {
            'Authorization':'Bearer '+token,
            'Timestamp':getCurrentTimestamp()
        }
    });
}